devguard
VendorsId

Get the details of a single vendor by id.

GET
/vendors/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/vendors/string/"
{  "id": "string",  "shortId": -9007199254740991,  "slug": "string",  "name": "string",  "description": "string",  "createdAt": "string",  "updatedAt": "string",  "organizationId": "string",  "archivedAt": "string",  "category": "CLOUD",  "relationship": "PROCESSOR",  "status": "ACTIVE",  "inherentProbability": 0,  "inherentImpact": 0,  "residualProbability": 0,  "residualImpact": 0,  "treatmentStrategy": "UNKNOWN",  "website": "string",  "contactName": "string",  "contactEmail": "string",  "contractExpiry": "string",  "ownerId": "string",  "locationId": "string",  "assessmentPeriodId": "string",  "lastAssessmentId": "string",  "owner": {    "id": "string",    "slug": "string",    "name": "string",    "description": "string",    "archivedAt": "string",    "organizationId": "string",    "users": [      "string"    ]  },  "location": {    "id": "string",    "slug": "string",    "name": "string",    "description": "string",    "createdAt": "string",    "updatedAt": "string",    "latitude": 0,    "longitude": 0,    "address": "string",    "archivedAt": "string",    "organizationId": "string"  },  "assessmentPeriod": {    "id": "string",    "slug": "string",    "name": "string",    "description": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string",    "organizationId": "string",    "ruleSet": "string"  },  "lastAssessment": {    "id": "string",    "shortId": -9007199254740991,    "organizationId": "string",    "createdAt": "string",    "updatedAt": "string",    "title": "string",    "performedAt": "string",    "nextReviewAt": "string",    "findings": "string",    "recommendations": "string",    "status": "DRAFT",    "capturedInherentProbability": -9007199254740991,    "capturedInherentImpact": -9007199254740991,    "capturedResidualProbability": -9007199254740991,    "capturedResidualImpact": -9007199254740991,    "questionnaireId": "string",    "questionnaireSnapshot": null,    "vendorId": "string",    "assessorId": "string"  },  "controlLinks": [    {      "id": "string",      "controlCoverageId": "string",      "vendorId": "string",      "organizationId": "string",      "linkedAt": "string",      "linkedBy": "string",      "controlCoverage": {        "id": "string",        "frameworkAdoptionId": "string",        "controlId": "string",        "coverageStatus": "FULL",        "coverageGap": "string",        "lastReviewedAt": "string",        "reviewedBy": "string",        "isNotRelevant": true,        "notRelevantReason": "string",        "notRelevantAt": "string",        "notRelevantBy": "string",        "policyId": "string",        "sectionUid": "string",        "organizationId": "string",        "createdAt": "string",        "updatedAt": "string",        "control": {          "id": "string",          "frameworkId": "string",          "parentId": "string",          "identifier": "string",          "slug": "string",          "type": "CATEGORY",          "isMandatory": true,          "name": "string",          "description": null,          "purpose": "string",          "isCentralized": true,          "createdAt": "string",          "updatedAt": "string"        }      }    }  ],  "riskLinks": [    {      "riskId": "string",      "risk": {        "id": "string",        "name": "string",        "slug": "string"      }    }  ],  "assetLinks": [    {      "assetId": "string",      "asset": {        "id": "string",        "name": "string",        "slug": "string"      }    }  ],  "vendorTreatments": [    {      "vendorId": "string",      "treatmentActionId": "string",      "organizationId": "string",      "linkedAt": "string",      "linkedBy": "string",      "treatmentAction": {        "id": "string",        "name": "string",        "slug": "string",        "status": "UNKNOWN"      }    }  ],  "labels": [    {      "vendorId": "string",      "labelId": "string",      "organizationId": "string",      "label": {        "id": "string",        "slug": "string",        "name": "string",        "scope": "string",        "color": "string",        "createdAt": "string",        "updatedAt": "string",        "archivedAt": "string",        "organizationId": "string"      }    }  ],  "assessmentStatus": "NEVER_ASSESSED",  "_count": {    "assessments": 0,    "evidenceLinks": 0  }}

How is this guide?